Bug 338556 - Kaddressbook (export to .vcf files) does not correctly split long lines
Summary: Kaddressbook (export to .vcf files) does not correctly split long lines
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: 4.13
Platform: Mageia RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-25 19:45 UTC by Juergen Harms
Modified: 2017-01-07 22:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example of an incorrectly folded addressbook item (689 bytes, text/plain)
2014-08-25 19:45 UTC, Juergen Harms
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Harms 2014-08-25 19:45:53 UTC
Created attachment 88422 [details]
Example of an incorrectly folded addressbook item

Exporting an addressbooks into a .vcf file produces incorrect data when folded (slit) long lines are written. RFC 822 (and, based on this, RFC2425 and RFC2426) specify that lines with a length exceeding 75 characters should be "folded" - splitting off continuation lines - and how this is to be done:

- according to these standards, splitting should be achieved by REPLACING a whitespace by a <CR>-whitespace sequence

- kaddressbook, rather than replacing a whitespace as specified, simply INSERTS a <CR> at - apparently - arbitrary places.

As a consequence, addressbook items exported from kaddressbook may contain wrong additional whitespaces; worse, if such an extraneous whitespace appears within a string that specifies an UTF-encoded character, importing the addressbook data into another program will normally fail.

Ordinarily, the length of most addressbook items does not exceed 75 characters - this problem therefore is unlikely to strike in addressbooks with only English items (that do not contain characters that require UTF encoding).

But, if adressbook-items contain characters that, on export, produce UTF-encoded strings, the string representing such items are much longer and
the bug becomes very annoying: it is practically not possible to use kaddressbook for exporting French or German addressbooks, for instance for synchronising with tabletts or smart phones.
Comment 1 Juergen Harms 2014-08-25 19:58:52 UTC
I made a typo in:

- kaddressbook, rather than replacing a whitespace as specified, simply INSERTS a <CR> at - apparently - arbitrary places.

<CR> should read <CR>-whitespace

Sorry
Comment 2 Denis Kurz 2016-09-24 20:52:03 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kaddressbook (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 3 Denis Kurz 2017-01-07 22:43:38 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.